#!/usr/bin/python

import os
import glob
import os.path
import subprocess

outfile_template = 'all/%05d.png'

def imagefiles(path):
    L = glob.glob(os.path.join(path,'*.png'))
    L.sort()
    return L

def dup(s,n):
    return [ s for i in range(n) ]

framelist = []
framelist = framelist + dup('rampup/frame-001.png',10)
framelist = framelist + imagefiles('rampup')
framelist = framelist + imagefiles('rotate')
framelist = framelist + imagefiles('rotate')

fade = imagefiles('rotate-fade')
framelist = framelist + fade
framelist = framelist + dup(fade[-1],20)

titlepoint = len(framelist)

title_fade = imagefiles('title-fade')
framelist = framelist + title_fade
framelist = framelist + dup(title_fade[-1],80)

cwd = os.getcwd()

for n,f in enumerate(framelist):
    linksrc = os.path.join(os.getcwd(),f)
    linkdest = outfile_template % n
    if not os.path.exists(linksrc):
        raise IOError('File not found: ' + linksrc)
    if os.path.exists(linkdest):
        raise IOError('Destination already exists: ' + linkdest)
    os.symlink(os.path.join(os.getcwd(),f),outfile_template % n)

print '%d frames; titles begin at frame %d' % (len(framelist), titlepoint)
