#!/usr/bin/python

import subprocess
import math
import argparse
import os

parser = argparse.ArgumentParser(description='Render animation frame')

parser.add_argument('numframes',type=int)
parser.add_argument('startframe',type=int)
parser.add_argument('endframe',nargs='?',type=int)

args = parser.parse_args()

if not args.endframe:
    args.endframe = args.startframe

print 'Rendering frames %d to %d of %d.' % (args.startframe, args.endframe, args.numframes)

for i in range(args.startframe, args.endframe+1):
    print '======================================================================'
    print 'FRAME %d' % i
    print '======================================================================'

    t = float(i-1) / float(args.numframes) # for cyclic compatibility

    theta = (2.0 * math.pi) * t

    incfile = 'frame-%03d.inc' % i
    pngfile = 'frame-%03d.png' % i

    subprocess.call('../make-spheres-inc.py %.15f < vecs-depth8.txt > %s' % (theta,incfile),shell=True)
    subprocess.call('povray +O%s render.ini Declare=FRAME=%d' % (pngfile,i),shell=True)
    os.unlink(incfile)
